<!DOCTYPE html>
<html>
<head>
	<title>Venta</title>
	<meta charset="UTF-8" />
    {# "app.request.schemeAndHttpHost" es necesario para que la libreria de pdf encuentre el css. #}
    <link rel="stylesheet" href="{{ app.request.schemeAndHttpHost ~ asset('bundles/mdrreportes/css/venta.css') }}" />
    <script type="text/javascript">
	var resumenJSON = {{ entity|json_encode()|raw }};

    </script>
    
</head>
<body id="resumenVenta">
	<h2>RESUMEN DE VENTA PEDIDO: {{ entity.idPedido }}</h2>
	<img src="{{ app.request.schemeAndHttpHost ~ asset('bundles/mdrcobranza/images/logoMDR.png') }}" style="float: right;margin-top: -65px;margin-right: 24px;width: 129px;">

	<div style="margin-bottom: 20px;font-size: 20px;">
			<div>
				<b>Cliente: </b><span class="cliente">{{ entity.cliente.__toString }}</span>
			</div>
			<div>
				<b>Tipo de pago: </b>{{ entity.pago.descripcion }}
			</div>
	</div>

	<div style="border-radius: 10px;margin-bottom: 15px;border: 1px solid;border-color: #ddd;">
		<div style="border-radius: 8px;padding: 15px;font-size: 16px;">
			<div style="margin-bottom: 8px;"><b>Dirección: </b>{{ entity.direccion.__toString }}</div>
			<div style="margin-bottom: 8px;"><b>Referencia: </b>{{ entity.direccion.referencia }}</div>
			<div><b>Telefonos Casa: </b>{{ entity.direccion.telCasa }}&nbsp;&nbsp;&nbsp;<b>Oficina: </b>{{ entity.direccion.telOficina }}&nbsp;&nbsp;&nbsp;<b>Celular: </b>{{ entity.direccion.telCel }}</div>
		</div>
	</div>
<div>	
	<table id="tbl_detalle_compra" style="width: 100%;margin-bottom: 25px;">
		<thead style="padding: 8px;">
			<tr>
				<th>Cantidad</th>
				<th>Descripción</th>
				<th>Promoción</th>
				<th>PU</th>
				<th>Total</th>
			</tr>
		</thead>
		<tbody>
			{% for item in entity.productos %}
	        	<tr style="text-align: center;">
	        		<td>{{ item.cantidad }}</td>
	        		<td>{{ item.productoPrecio.producto.descripcion }}</td>
	        		<td>{{ item.productoPrecio.materialPrecio }}</td>
	        		<td>$ {{ item.productoPrecio.precio|number_format(2, '.', ',') }}</td>
	        		<td>$ {{ (item.cantidad * item.productoPrecio.precio)|number_format(2, '.', ',') }}</td>
	        	</tr>
			{% endfor%}
	        <tr>
				<td colspan="3" rowspan="3" style="width: 60%;"></td>
				<td>SubTotal</td>
				<td style="text-align: center;"><b>$ {{ entity.subTotal|number_format(2, '.', ',') }}</b></td>
			</tr>
			<tr>
				<td>Envío</td>
				<td style="text-align: center;">$ {{ entity.gastosEnvio.precio|number_format(2, '.', ',') }}</td>
			</tr>
			<tr>
				<td>Total</td>
				<td style="text-align: center;"><b>$ {{ entity.totalPago|number_format(2, '.', ',') }}</b></td>
			</tr>
		</tbody>
	</table>
</div>	
	
	{% if entity.pago.idTipoPago == 1 %}
	<div style="padding: 15px;border-radius: 10px;border: 1px solid;border-color: #ddd;">
			<div style="border-radius: 8px;font-size: 16px;">
			<div style="display: inline-flex;width: 100%;margin-bottom: 8px;">
				<label style="width: 50%;"><b>Titular: </b>{{ entity.pagosTarjeta[0].titular }}</label>
				<label style="width: 50%;"><b>Es Titular: </b>{{ entity.pagosTarjeta[0].esTitular == 1 ? "Sí" : "No" }}</label>
			</div>
			<div style="display: inline-flex;width: 100%;margin-bottom: 8px;">
				<label style="width: 40%;"><b>No. Tarjeta: </b>{{ entity.pagosTarjeta[0].numeroTarjeta|slice(0, 6) }}XXXXXXX{{ entity.pagosTarjeta[0].numeroTarjeta|slice(12, 14) }}</label>
				<label style="width: 30%;"><b>Vigencia: </b>{{ entity.pagosTarjeta[0].vigencia|date('m-Y') }}</label>
				<label style="width: 30%;"><b>Código: </b>XXXX</label>
			</div>
			<div style="display: inline-flex;width: 100%;">
				<label style="width: 30%;"><b>Tipo: </b>{{ entity.pagosTarjeta[0].tipoTarjeta.descripcion }}</label>
				<label style="width: 40%;"><b>Banco: </b>{{ entity.pagosTarjeta[0].banco.nombre }}</label>
				<label style="width: 30%;"><b>Promoción: </b>{{ entity.pagosTarjeta[0].promocion.descripcion }}</label>
			</div>
		</div>
	</div>


	{% endif %}

</body>
</html>